My Oracle Support Banner

OHI Claims Upgrade To 3.20.3.0.0 Fails With Error: ORA-02303 (Doc ID 2804091.1)

Last updated on APRIL 25, 2023

Applies to:

Oracle Health Insurance Claims Adjudication - Version 3.20.3.0.0 and later
Information in this document applies to any platform.

Symptoms

On : 3.20.3.0.9 to 3.20.3.0.0 version
Installation


When upgrading OHI claims 3.20.2.0.9 to OHI claims 3.20.3.0.0 it fails due to the following errors.


ERROR
-----------------------


ERROR liquibase.changelog.ChangeSet - Change Set OHI_ID_ARRAY.xml::1::ohi failed. Error: ORA-02303: cannot drop or replace a type with type or table dependents

 [Failed SQL: (2303) create or replace type ohi_id_array as table of number(14,0);]

[Mon Aug 30 15:26:02 SAST 2021] [SEVERE] Liquibase update failed. Please check the log file upgrade_OHI_CLAIMS_OWNER_phase_major_1.log for more details
...

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.